t = document.querySelectorAll('tower_ui');
t.forEach
(
    function(n)
    {
        n.addEventListener
        (
            'click'
            ,
            function(e)
            {
                console.log('tower_ui_onclick');
                var prefab = document.querySelector('tower[is_prefab=true] > *');

                console.log(prefab);

                var tr = n.getAttribute('tower');

                console.log(tr);

                prefab.style.setProperty
                (
                    'background'
                    , 
                    `url('public/towers/${tr}.png') center center / contain no-repeat`
                );
            }
        )
    }
)